# $Id: service.spec,v 1.30 2003/08/19 16:58:21 ldv Exp $

Name: service
Version: 0.5.2
Release: alt1

Summary: The service start/stop scripts
License: GPL
Group: System/Base
Packager: Dmitry V. Levin <ldv@altlinux.org>

Source: %name-%version.tar.bz2

Provides: /usr/sbin/post_service, /usr/sbin/preun_service, /sbin/start-stop-daemon
# due to start-stop-daemon
Requires: SysVinit >= 2.85-alt5
Requires: /bin/tput
Conflicts: initscripts < 1:5.49.1-alt1
# due to RPM_INSTALL_ARG1 support:
Conflicts: rpm < 0:4.0.4-alt0.7
# due to %_sysconfdir/rc?.d and %_sysconfdir/rc.d/rc?.d
Conflicts: startup < 0.0.2-alt1
# due to run-parts
Conflicts: crontabs < 0:1.8-alt1
# due to start-stop-daemon.8
Conflicts: dpkg <= 0:1.6.15-alt3

# This is required for shell function provides autogeneration.
BuildPreReq: rpm-build >= 4.0.4-alt16

# Automatically added by buildreq on Mon Apr 21 2003
BuildRequires: libpopt-devel

%description
The %name package contains the basic system scripts used to
start and stop services.

%prep
%setup -q

%build
make -C src

%install
%make_install install -C src DESTDIR=$RPM_BUILD_ROOT
%__install -p -m755 service $RPM_BUILD_ROOT/sbin/
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_sbindir}
%__install -p -m755 run-parts $RPM_BUILD_ROOT%_bindir/
%__install -p -m755 post_service preun_service $RPM_BUILD_ROOT%_sbindir/
%__install -p -m755 rc.d/init.d/* $RPM_BUILD_ROOT%_initdir/
chmod a-x $RPM_BUILD_ROOT%_initdir/template

# This is a LSB compatibility symlink.  We hope that some day
# the actual files will be here instead of symlinks.
%__ln_s rc.d/init.d $RPM_BUILD_ROOT%_sysconfdir/

# This is a LSB compatibility symlink.  We hope that some day
# the actual files will be here instead of symlinks.
for i in `seq 0 6`; do
	%__ln_s rc.d/rc$i.d $RPM_BUILD_ROOT%_sysconfdir/rc$i.d
done

%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/rc.d/rc{0,1,2,3,4,5,6}.d

# Generate shell functions provides list.
(
	echo '# shell functions provides list'
	for f in $RPM_BUILD_ROOT%_initdir/*; do
		[ -x "$f" ] || continue
		sed -ne 's/^\([A-Za-z][A-Za-z_0-9]*[[:space:]]*\)()$/\1/pg' "$f"
	done |LC_COLLATE=C sort -u
) >$RPM_BUILD_ROOT%_initdir/.provides.sh

%triggerpostun -- initscripts < 1:5.49.1-alt1
f=%_sysconfdir/initlog.conf
if [ ! -f "$f" ]; then
        if [ -f "$f".rpmsave ]; then
                %__cp -pf "$f".rpmsave "$f"
        elif [ -f "$f".rpmnew ]; then
                %__cp -pf "$f".rpmnew "$f"
        fi
fi

%files
/sbin/*
%_bindir/*
%_sbindir/*
%_mandir/man?/*
%_sysconfdir/init.d
%_sysconfdir/rc?.d
%defattr(644,root,root,755)
%config %_sysconfdir/rc.d
%config(noreplace) %_sysconfdir/initlog.conf

%changelog
* Tue Aug 19 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5.2-alt1
- functions:
  + start_daemon/stop_daemon: fixed output appearance (#0002860).

* Thu Aug 07 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5.1-alt1
- functions:
  + failure: fixed typo (#0002815).

* Tue Jun 03 2003 Dmitry V. Levin <ldv@altlinux.org> 0.5-alt1
- functions:
  + start_daemon: fixed --name option processing;
  + echo_*,action: fixed echoing.

* Tue May 27 2003 Dmitry V. Levin <ldv@altlinux.org> 0.4-alt1
- functions:
  + added --name support;
  + better error diagnostics;
  + command substitution cleanup.
- functions, start-stop-daemon:
  + added --user-fallback-to-name support,
    should cover most of #0002615.

* Thu May 22 2003 Dmitry V. Levin <ldv@altlinux.org> 0.3-alt1
- initlog:
  + fixed arg check (#0002417);
  + fixed get_facility/get_priority (#0002418).
- initlog.conf:
  commented out facility/priority settings.
- All this initlog stuff is far from clean.
  Please anybody rewrite it someday.

* Wed May 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.2-alt1
- functions: fixed options parsing in stop_daemon().

* Mon May 12 2003 Dmitry V. Levin <ldv@altlinux.org> 0.1-alt1
- Imported new start-stop-daemon from dpkg-1.10.9/utils/,
  with our fixes merged from SysVinit-2.85-alt4's version.
- functions: fix action() return code.
- functions-compat: more RH compatibility.
- Added template rc script.

* Fri Apr 25 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.3-alt1
- functions:
  + added start_daemon and stop_daemon from Owl;
  + added msg_* functions from PLD for convenience;
  + moved daemon/killproc/... stuff to functions-compat.
- Added %_initdir/.provides.sh file.
- run-parts: moved from crontabs to this package.

* Wed Apr 23 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.2-alt1
- Relocated %_sysconfdir/rc?.d and %_sysconfdir/rc.d/rc?.d
  from startup package to this package.

* Mon Apr 21 2003 Dmitry V. Levin <ldv@altlinux.org> 0.0.1-alt1
- Removed all but service start/stop scripts and packaged them separately.
- New programs: post_service and preun_service.
- functions: replaced status() implementation with ssd-based one
  from owl-startup.

* Sat Apr 19 2003 Dmitry V. Levin <ldv@altlinux.org> 5.49-ipl54mdk
- %_initdir/sound: don't sort aliases in LoadModule (#0001802).
- %_initdir/clock: test $HWCLOCK_ADJUST also for "true" value (#0002351).
- %_initdir/functions:
  + fixed check logic in daemon() a bit (#0002407).
  + fixed return code in killproc() (#0002412).
- %_initdir/outformat: check argumnets being passed to tput (#0002450).
- /etc/sysctl.conf:
  + set "net.ipv4.icmp_echo_ignore_broadcasts = 1" by default (#0002472);
  + added comments from Owl's sysctl.conf file.
- usernetctl: support variable definitions quoted with single quotes.
